Nuclom logoNuclom
Content

Get a Notion source's page tree

Returns the Notion pages and databases the source can read, with which ones are selected for sync.

GET
/content/sources/{id}/notion/hierarchy

Returns the Notion pages and databases the source can read, with which ones are selected for sync.

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Authentication token from login or API key

Path Parameters

id*string

Id ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

Success

Example Request
curl -X GET 'https://nuclom.com/api/content/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/notion/hierarchy'
Example Response
Empty